Subject: bug#21080: Scrolling bug

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Jul 2015 21:06:46 +0300

> Date: Fri, 17 Jul 2015 19:51:12 +0300
> From: Bru Rom <[email-masked]>
> 
> I work in terminal on Ubuntu 15.04 (xterm, GNOME terminal) with very big text
> files, very long lines and warping (via global-visual-line). I want to scroll
> by one line, so i set scroll-conservatively to
> most-positive-fixnum. When i read text and scroll down everything is fine, but
> when i want to return back and scroll up *over warped lines*, cursor jumps on
> the second line from the top of window. According to manual, faq, wiki and
> google i try to play with other scroll-related settings, such as margin,
> aggressiveness, step, but with no result. Cursor still jump by two lines when
> moving up. Looks like a bug. In GUI version everything is good and scrolls by
> one line. This bug is only in terminals. Confirm with 24.4.1 and 24.5.

Please show a sample file and the exact sequence of commands, starting
from "emacs -Q", for reproducing this problem.

Thanks.